Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 51190)
+++ chan_sip.c	(working copy)
@@ -6238,15 +6238,17 @@
 					 debug, &min_video_packet_size);
 	}
 
-	/* Now add DTMF RFC2833 telephony-event as a codec */
-	for (x = 1; x <= AST_RTP_MAX; x <<= 1) {
-		if (!(p->noncodeccapability & x))
-			continue;
+	if (ast_test_flag(&p->flags[0], SIP_DTMF)==SIP_DTMF_RFC2833) {
+		/* Now add DTMF RFC2833 telephony-event as a codec */
+		for (x = 1; x <= AST_RTP_MAX; x <<= 1) {
+			if (!(p->noncodeccapability & x))
+				continue;
 
-		add_noncodec_to_sdp(p, x, 8000,
+			add_noncodec_to_sdp(p, x, 8000,
 				    &m_audio_next, &m_audio_left,
 				    &a_audio_next, &a_audio_left,
 				    debug);
+		}
 	}
 
 	if (option_debug > 2)
